Get All Instancesget https://{serverURL}/api/instancesThis endpoint retrieves a paginated list of instances.Query Paramsmaxint64Defaults to 25Maximum number of records to returnoffsetint64Defaults to 0Offset records, the number of records to skip, for paginating requestsnamestringFilter by namephrasestringSearch phrase for partial matches on name or descriptionzoneIdint64The Cloud ID (Zone ID) for FilteringsiteIdint64The Group ID (Site ID) for FilteringplanIdint64The Plan ID for FilteringserverIdint64The Server ID for FilteringparentServerIdint64The Parent Server (Hypervisor) ID for FilteringinstanceTypestringThe Instance Type Code for FilteringlastUpdateddate-timeDate filter, restricts query to only load resources updated more recently than the date specified (ISO 8601)createdByint64The User ID for FilteringagentInstalledbooleanFilter instances by if agent is installed or not on the associated servers.truetruefalsestatusstringThe instance status for filtering.environmentstringThe environment for filtering.showDeletedbooleanDefaults to falseIf true, includes instances in pending removal status.truefalsedeletedbooleanIf true, only deleted resources or instances in pending removal status are returned.truetruefalseexpireDatestringFilter by expireDate less than or equal to specified dateexpireDateMinstringFilter expireDate greater than or equal to the specified dateexpireDaysstringFilter by expireDays less than or equal to the specified valueexpireDaysMinstringFilter by expireDays greater than or equal to the specified valueshutdownDatestringFilter by shutdownDate less than equal to the specified dateshutdownDateMinstringFilter by shutdownDate greater than or equal to the specified dateshutdownDaysstringFilter by shutdownDays less than or equal to the specified valueshutdownDaysMinstringFilter by shutdownDays greater than or equal to the specified valuelabelsstringFilter by label(s), matches records that contain any of the specified labelsallLabelsstringFilter by label(s), matches records that contain all of the specified labelstags.namestringFilter by tags (metadata). This allows filtering by a tag name and value(s)detailsbooleanDefaults to falseInclude details=true to return more details about the instance and its container(s) and server(s), ie. instancePrice, apps, powerSchedule, isScalable, instanceThreshold, containerDetails.server.truefalseResponses 200Successful Request 4XXError Codes 5XXError CodesUpdated over 2 years ago